export declare type ActionPalette = {
    id: string;
    label: string;
    keybindings?: string;
    contextMenuGroupId?: string;
    contextMenuOrder?: number;
    run?: Function;
};
export declare const gitClone: (dispatch: any) => ActionPalette;
export declare const gitAddToIgnor: (dispatch: any) => {
    id: "@git-stack/GIT_ADD_TO_IGNOR";
    label: string;
    run: (ed: any) => void;
};
export declare const gitCheckoutTo: (dispatch: any) => {
    id: "@git-stack/GIT_CHECKOUT_TO";
    label: string;
    run: (ed: any) => void;
};
export declare const gitCloseRepository: (dispatch: any) => {
    id: "@git-stack/GIT_CLOSE_REPOSITORY";
    label: string;
    run: (ed: any) => void;
};
export declare const gitCommit: (dispatch: any) => {
    id: "@git-stack/GIT_COMMIT";
    label: string;
    run: (ed: any) => void;
};
export declare const gitCommitAll: (dispatch: any) => {
    id: "@git-stack/GIT_COMMIT_ALL";
    label: string;
    run: (ed: any) => void;
};
export declare const gitCommitAmend: (dispatch: any) => {
    id: "@git-stack/GIT_COMMIT_AMEND";
    label: string;
    run: (ed: any) => void;
};
export declare const gitCommitSignedOff: (dispatch: any) => {
    id: "@git-stack/GIT_COMMIT_SIGNED_OFF";
    label: string;
    run: (ed: any) => void;
};
export declare const gitCommitStagedAmend: (dispatch: any) => {
    id: "@git-stack/GIT_COMMIT_STAGED_AMEND";
    label: string;
    run: (ed: any) => void;
};
export declare const gitCommitStagedSignedOff: (dispatch: any) => {
    id: "@git-stack/GIT_STAGED_SIGNED_OFF";
    label: string;
    run: (ed: any) => void;
};
export declare const gitCreateBranch: (dispatch: any) => {
    id: "@git-stack/GIT_CREATE_BRANCH";
    label: string;
    run: (ed: any) => void;
};
export declare const gitCreateTag: (dispatch: any) => {
    id: "@git-stack/GIT_CREATE_TAG";
    label: string;
    run: (ed: any) => void;
};
export declare const gitDeleteBranch: (dispatch: any) => {
    id: "@git-stack/GIT_DELETE_BRANCH";
    label: string;
    run: (ed: any) => void;
};
export declare const gitDiscardAllChanges: (dispatch: any) => {
    id: "@git-stack/GIT_DISCARD_ALL_CHANGES";
    label: string;
    run: (ed: any) => void;
};
export declare const gitDiscardChanges: (dispatch: any) => {
    id: "@git-stack/GIT_DISCARD_CHANGES";
    label: string;
    run: (ed: any) => void;
};
export declare const gitInitializeRepository: (dispatch: any) => {
    id: "@git-stack/GIT_INITIALIZE_REPOSITORY";
    label: string;
    run: (ed: any) => void;
};
export declare const gitMergeBranch: (dispatch: any) => {
    id: "@git-stack/GIT_MERGE_BRANCH";
    label: string;
    run: (ed: any) => void;
};
export declare const gitOpenChanges: (dispatch: any) => {
    id: "@git-stack/GIT_OPEN_CHANGES";
    label: string;
    run: (ed: any) => void;
};
export declare const gitOpenFile: (dispatch: any) => {
    id: "@git-stack/GIT_OPEN_FILE";
    label: string;
    run: (ed: any) => void;
};
export declare const gitOpenFileHead: (dispatch: any) => {
    id: "@git-stack/GIT_OPEN_FILE_HEAD";
    label: string;
    run: (ed: any) => void;
};
export declare const gitPopLatestStash: (dispatch: any) => {
    id: "@git-stack/GIT_POP_STASH_LATEST";
    label: string;
    run: (ed: any) => void;
};
export declare const gitPopStash: (dispatch: any) => {
    id: "@git-stack/GIT_POP_STASH";
    label: string;
    run: (ed: any) => void;
};
export declare const gitBublishBranch: (dispatch: any) => {
    id: "@git-stack/GIT_PUBLISH_BRANCH";
    label: string;
    run: (ed: any) => void;
};
export declare const gitPull: (dispatch: any) => {
    id: "@git-stack/GIT_PULL";
    label: string;
    run: (ed: any) => void;
};
export declare const gitPullRebase: (dispatch: any) => {
    id: "@git-stack/GIT_PULL_REBASE";
    label: string;
    run: (ed: any) => void;
};
export declare const gitPullFrom: (dispatch: any) => {
    id: "@git-stack/GIT_PULL_FROM";
    label: string;
    run: (ed: any) => void;
};
export declare const gitPush: (dispatch: any) => {
    id: "@git-stack/GIT_PUSH";
    label: string;
    run: (ed: any) => void;
};
export declare const gitPushTo: (dispatch: any) => {
    id: "@git-stack/GIT_PUSH_TO";
    label: string;
    run: (ed: any) => void;
};
export declare const gitPushWithTags: (dispatch: any) => {
    id: "@git-stack/GIT_PUSH_WITH_TAGS";
    label: string;
    run: (ed: any) => void;
};
export declare const gitRefresh: (dispatch: any) => {
    id: "@git-stack/GIT_REFRESH";
    label: string;
    run: (ed: any) => void;
};
export declare const gitRevertSelectedRange: (dispatch: any) => {
    id: "@git-stack/GIT_REVERT_SELECTED";
    label: string;
    run: (ed: any) => void;
};
export declare const gitShowGitOutput: (dispatch: any) => {
    id: "@git-stack/GIT_SHOW_GIT_OUTPUTS";
    label: string;
    run: (ed: any) => void;
};
export declare const gitStageAllChanges: (dispatch: any) => {
    id: "@git-stack/GIT_STAGE_ALL";
    label: string;
    run: (ed: any) => void;
};
export declare const gitStageChanges: (dispatch: any) => {
    id: "@git-stack/GIT_STAGE_SCHANGES";
    label: string;
    run: (ed: any) => void;
};
export declare const gitStageSelectedRange: (dispatch: any) => {
    id: "@git-stack/GIT_STAGE_SELECTED";
    label: string;
    run: (ed: any) => void;
};
export declare const gitStash: (dispatch: any) => {
    id: "@git-stack/GIT_STASH";
    label: string;
    run: (ed: any) => void;
};
export declare const gitSync: (dispatch: any) => {
    id: "@git-stack/GIT_SYNC";
    label: string;
    run: (ed: any) => void;
};
export declare const gitUndoLastCommit: (dispatch: any) => {
    id: "@git-stack/GIT_UNDO_LAST_COMMIT";
    label: string;
    run: (ed: any) => void;
};
export declare const gitUnstageAllChanges: (dispatch: any) => {
    id: "@git-stack/GIT_UNSTAGE_ALL_CHANGES";
    label: string;
    run: (ed: any) => void;
};
export declare const gitUnstageChanges: (dispatch: any) => {
    id: "@git-stack/GIT_UNSTAGE_CHANGES";
    label: string;
    run: (ed: any) => void;
};
export declare const gitUnstageSelectedRange: (dispatch: any) => {
    id: "@git-stack/GIT_UNSTAGE_SELECTED";
    label: string;
    run: (ed: any) => void;
};
